Package org.eclipse.ecf.core.sharedobject

# Class SharedObjectConnectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.core.sharedobject.SharedObjectConnectException

All Implemented Interfaces:
  `Serializable`

public class SharedObjectConnectException extends ECFException
Exception thrown when creating connector between shared object

See Also:
  - `ISharedObjectManager.connectSharedObjects(org.eclipse.ecf.core.identity.ID, org.eclipse.ecf.core.identity.ID[])`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectConnectException()`
`SharedObjectConnectException(String arg0)`
`SharedObjectConnectException(String msg, Throwable cause)`
`SharedObjectConnectException(Throwable cause)`
`SharedObjectConnectException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SharedObjectConnectException

public SharedObjectConnectException()

### SharedObjectConnectException

public SharedObjectConnectException(org.eclipse.core.runtime.IStatus status)

### SharedObjectConnectException

public SharedObjectConnectException(String arg0)

### SharedObjectConnectException

public SharedObjectConnectException(String msg, Throwable cause)

### SharedObjectConnectException

public SharedObjectConnectException(Throwable cause)